Name:       gssntlmssp
Version:    0.7.0
Release:    10
Summary:    The mechanism of GSSAPI NTLMSSP
License:    LGPLv3+
URL:        https://pagure.io/gssntlmssp
Source0:    https://fedorahosted.org/released/gss-ntlmssp/%{name}-%{version}.tar.gz
Patch01:    0001-Add-compatibility-with-OpenSSL-1.1.0.patch
Patch02:    CVE-2023-25567.patch
Patch03:    CVE-2023-25563.patch
Patch04:    CVE-2023-25564.patch
Patch05:    CVE-2023-25565.patch

Requires:   krb5-libs >= 1.12.1-9

BuildRequires: autoconf automake libtool m4 libxslt libxml2 docbook-style-xsl doxygen gettext-devel
BuildRequires: pkgconfig krb5-devel >= 1.11.2 libunistring-devel openssl-devel pkgconfig(wbclient) zlib-devel

%description
Implementing the GSSAPI mechanism of NTLMSSP.

%package devel
Summary: The development header of GSSAPI NTLMSSP
License: LGPLv3+

%description devel
Add header file with custom GSSAPI extension defined for NTLMSSP.

%package        help
Summary:        Documentation for gssntlmssp

%description    help
This package provides documentation for gssntlmssp.

%prep
%autosetup -n gssntlmssp-0.7.0 -p1

%build
autoreconf -fiv
%configure \
    --with-wbclient \
    --disable-static \
    --disable-rpath

%make_build all

%install
%make_install
rm -f %{buildroot}%{_libdir}/gssntlmssp/gssntlmssp.la
install -d %{buildroot}%{_sysconfdir}/gss/mech.d
install -pm644 examples/mech.ntlmssp %{buildroot}%{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{find_lang} gssntlmssp

%check
make test_gssntlmssp

%files -f gssntlmssp.lang
%config(noreplace) %{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{_libdir}/gssntlmssp/
%doc COPYING

%files devel
%{_includedir}/gssapi/gssapi_ntlmssp.h

%files help
%{_mandir}/man8/gssntlmssp.8*

%changelog
* Tue Feb 21 2023 yaoxin <yaoxin30@h-partners.com> - 0.7.0-10
- Fix CVE-2023-25563,CVE-2023-25564,CVE-2023-25565 and CVE-2023-25567

* Thu Feb 02 2023 wulei <wulei80@h-partners.com> - 0.7.0-9
- Add missing build dependencies

* Tue Feb 25 2020 fengbing <fengbing7@huawei.com> - 0.7.0-8
- DESC:Package init
